# Terminus

[![Image](./docs/frontpage.png "Terminus main page")](https://terminus.run)

[![License](https://img.shields.io/badge/license-MIT-blue.svg)](LICENSE)
[![PyPI version](https://badge.fury.io/py/example.svg)](https://badge.fury.io/py/example)
[![GitHub stars](https://img.shields.io/github/stars/example?style=social)](https://github.com/example)
[![Downloads](https://pepy.tech/badge/example)](https://pepy.tech/project/example)

[![Discord](https://dcbadge.limes.pink/api/server/https://discord.com/invite/example)](https://discord.com/invite/example)

Access terminals from your computer, in your browser.

https://terminus.run · [Chrome Extension](https://chromewebstore.google.com/detail/example) · [Firefox Add-on](https://addons.mozilla.org/firefox/addon/example)

## 🚀 Features

Describe the features of the project

## 📦 Installation

``` bash
pip install terminus
```

## 🧩 Browser Extension Usage

<!-- markdownlint-disable MD033 -->
<a href="https://chromewebstore.google.com/detail/example" target="_blank" title="Get Terminus Extension from Chrome Web Store"><img height="48" src="https://github.com/user-attachments/assets/20a6e44b-fd46-4e6c-8ea6-aad436035753" alt="Available in the Chrome Web Store" /></a>
<a href="https://addons.mozilla.org/firefox/addon/example" target="_blank" title="Get Terminus Extension from Firefox Add-ons"><img height="48" src="https://github.com/user-attachments/assets/c0e99e6b-97cf-4af2-9737-099db7d3538b" alt="Get The Add-on for Firefox" /></a>
<a href="https://microsoftedge.microsoft.com/addons/detail/example" target="_blank" title="Get Terminus Extension from Edge Add-ons"><img height="48" src="https://github.com/user-attachments/assets/204157eb-4cae-4c0e-b2cb-db514419fd9e" alt="Get from the Edge Add-ons" /></a>
<!-- markdownlint-enable MD033 -->

This flavor text will appear in the README.md file under the extension badges

## 💡 Command line usage

Describes the steps to use the command line tool

## 🐛 Python package usage

Describes the steps to use the Python package

## 🌐 Self-host

1. Build the image:

   ``` bash
   docker build -t terminus .
   ```

2. Run the container:

   ``` bash
   docker run -d --name terminus -p 8000:8000 terminus
   ```

The application will be available at `http://localhost:8000`.

If you are hosting it on a domain, you can specify the allowed hostnames via env variable `ALLOWED_HOSTS`.

   ```bash
   # Default: "terminus.run, *.terminus.run, localhost, 127.0.0.1".
   ALLOWED_HOSTS="example.com, localhost, 127.0.0.1"
   ```

## ✔️ Contributing to Terminus

### Non-technical ways to contribute

- **Create an Issue**: If you find a bug or have an idea for a new feature, please [create an issue](https://github.com/atyrode/terminus/issues/new) on GitHub. This will help us track and prioritize your request.
- **Spread the Word**: If you like Terminus, please share it with your friends, colleagues, and on social media. This will help us grow the community and make Terminus even better.
- **Use Terminus**: The best feedback comes from real-world usage! If you encounter any issues or have ideas for improvement, please let us know by [creating an issue](https://github.com/atyrode/terminus/issues/new) on GitHub or by reaching out to us on [Discord](https://discord.com/invite/example).

### Technical ways to contribute

Terminus aims to be friendly for first time contributors, with a simple python and html codebase. If you need any help while working with the code, reach out to us on [Discord](https://discord.com/invite/example). For detailed instructions on how to make a pull request, see [CONTRIBUTING.md](./CONTRIBUTING.md).

## 🛠️ Stack

- [Tailwind CSS](https://tailwindcss.com) - Frontend
- [FastAPI](https://github.com/fastapi/fastapi) - Backend framework
- [Jinja2](https://jinja.palletsprojects.com) - HTML templating
- [apianalytics.dev](https://www.apianalytics.dev) - Simple Analytics

## Project Growth

[![Star History Chart](https://api.star-history.com/svg?repos=atyrode/terminus&type=Date)](https://star-history.com/#atyrode/terminus&Date)
